Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.toolbar
Class FormButtonTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.toolbar.ToolButtonTag
              com.tonbeller.wcf.toolbar.FormButtonTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class FormButtonTag
extends ToolButtonTag

Created on 06.01.2003

Author:
  av
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormButtonTag()`

Method Summary
`protected ToolButtonModel` | `getToolButtonModel(RequestContext context)` factory method to create the button model
`void` | `setAction(java.lang.String action)` Sets the action.
`void` | `setForm(java.lang.String string)`
`void` | `setForward(java.lang.String forward)` Sets the forward.

Methods inherited from class com.tonbeller.wcf.toolbar.ToolButtonTag
`doStartTag, getImg, getRadioGroup, getRole, getTooltip, getVisibleRef, setImg, setRadioGroup, setRole, setTooltip, setVisibleRef`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormButtonTag

    public FormButtonTag()

Method Detail

### getToolButtonModel

    protected ToolButtonModel getToolButtonModel(RequestContext context)
                                          throws javax.servlet.jsp.JspException

  Description copied from class: `ToolButtonTag`
  factory method to create the button model

  Specified by:
    `getToolButtonModel` in class `ToolButtonTag`
  Throws:
    `javax.servlet.jsp.JspException`
  See Also:
    `com.tonbeller.wcf.toolbar.ToolButtonTag#getToolButtonModel()`

### setAction

    public void setAction(java.lang.String action)

  Sets the action.

  Parameters:
    `action` - The action to set

### setForward

    public void setForward(java.lang.String forward)

  Sets the forward.

  Parameters:
    `forward` - The forward to set

### setForm

    public void setForm(java.lang.String string)

  Parameters:
    `string` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD